| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ParameterPropertyList_t Class Reference
eProsima Fast DDS API Reference » RTPS » Common Module. » Qos Module

`#include <ParameterTypes.hpp>`

Inheritance diagram for ParameterPropertyList_t:
[legend]

## Classes

class | iterator
class | const_iterator

## Public Member Functions

| ParameterPropertyList_t ()
| Constructor without parameters Sets PID_PROPERTY_LIST as the PID of the parameter.
| ParameterPropertyList_t (uint32_t size)
| Constructor with a defined maximum size.
| ParameterPropertyList_t (ParameterId_t pid, uint16_t in_length)
| Constructor using a parameter PID and the parameter length.
| ParameterPropertyList_t (const ParameterPropertyList_t &parameter_properties)
| Constructor using a Parameter Property List.
ParameterPropertyList_t & | operator= (const ParameterPropertyList_t &parameter_properties)
iterator | begin ()
| Getter for the first position of the ParameterPropertyList.
iterator | end ()
| Getter for the end of the ParameterPropertyList.
const_iterator | begin () const
| Getter for the first position of the ParameterPropertyList.
const_iterator | end () const
| Getter for the end of the ParameterPropertyList.
bool | push_back (std::pair< std::string, std::string > p)
| Introduce a new property in the ParameterPropertyList.
bool | push_back (const std::string &key, const std::string &value)
| Introduce a new property in the ParameterPropertyList.
bool | push_back (const unsigned char *str1, uint32_t str1_size, const unsigned char *str2, uint32_t str2_size)
| Introduce a new property in the ParameterPropertyList.
bool | set_property (iterator pos, const std::pair< std::string, std::string > &new_value)
| Setter of a new property value on a specific position.
void | clear ()
| Clears the ParameterPropertyList.
uint32_t | size () const
| Getter for the size of the ParameterPropertyList.
void | set_max_size (uint32_t size)
| Setter for the maximum size of the ParameterPropertyList.
uint32_t | max_size ()
| Getter for the maximum size of the ParameterPropertyList.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const

## Protected Member Functions

void | push_back_helper (const fastdds::rtps::octet *data, uint32_t size, uint32_t alignment)

## Additional Inherited Members

Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.

## Constructor & Destructor Documentation

## ◆ ParameterPropertyList_t() [1/4]

ParameterPropertyList_t | ( |  | ) |

inline

Constructor without parameters Sets PID_PROPERTY_LIST as the PID of the parameter.

## ◆ ParameterPropertyList_t() [2/4]

ParameterPropertyList_t | ( | uint32_t | size | ) |

inline

Constructor with a defined maximum size.

Parameters

  size | Size to be set as maximum

## ◆ ParameterPropertyList_t() [3/4]

ParameterPropertyList_t | ( | ParameterId_t | pid,
|  | uint16_t | in_length )

inline

Constructor using a parameter PID and the parameter length.

Parameters

  pid | Pid of the parameter
  in_length | Its associated length

## ◆ ParameterPropertyList_t() [4/4]

ParameterPropertyList_t | ( | const ParameterPropertyList_t & | parameter_properties | ) |

inline

Constructor using a Parameter Property List.

Parameters

  parameter_properties | Properties to be set

## Member Function Documentation

## ◆ begin() [1/2]

iterator begin | ( |  | ) |

inline

Getter for the first position of the ParameterPropertyList.

Returns
  iterator

## ◆ begin() [2/2]

const_iterator begin | ( |  | ) | const

inline

Getter for the first position of the ParameterPropertyList.

Returns
  const_iterator

## ◆ clear()

void clear | ( |  | ) |

inline

Clears the ParameterPropertyList.

## ◆ end() [1/2]

iterator end | ( |  | ) |

inline

Getter for the end of the ParameterPropertyList.

Returns
  iterator

## ◆ end() [2/2]

const_iterator end | ( |  | ) | const

inline

Getter for the end of the ParameterPropertyList.

Returns
  const_iterator

## ◆ max_size()

uint32_t max_size | ( |  | ) |

inline

Getter for the maximum size of the ParameterPropertyList.

Returns
  uint32_t with the size

## ◆ operator=()

ParameterPropertyList_t & operator= | ( | const ParameterPropertyList_t & | parameter_properties | ) |

inline

## ◆ push_back() [1/3]

bool push_back | ( | const std::string & | key,
|  | const std::string & | value )

inline

Introduce a new property in the ParameterPropertyList.

Parameters

  key | Key part of the new property
  value | Value part of the new property

Returns
  true if it is introduced, false if not.

## ◆ push_back() [2/3]

bool push_back | ( | const unsigned char * | str1,
|  | uint32_t | str1_size,
|  | const unsigned char * | str2,
|  | uint32_t | str2_size )

inline

Introduce a new property in the ParameterPropertyList.

Parameters

  str1 | Name of the property
  str1_size | Size of the first string
  str2 | Value of the property
  str2_size | Size of the second string

Returns
  true if it is introduced, false if not.

## ◆ push_back() [3/3]

bool push_back | ( | std::pair< std::string, std::string > | p | ) |

inline

Introduce a new property in the ParameterPropertyList.

Parameters

  p | Pair with the values of the new property

Returns
  true if it is introduced, false if not.

## ◆ push_back_helper()

void push_back_helper | ( | const fastdds::rtps::octet * | data,
|  | uint32_t | size,
|  | uint32_t | alignment )

inline protected

## ◆ set_max_size()

void set_max_size | ( | uint32_t | size | ) |

inline

Setter for the maximum size of the ParameterPropertyList.

## ◆ set_property()

bool set_property | ( | iterator | pos,
|  | const std::pair< std::string, std::string > & | new_value )

inline

Setter of a new property value on a specific position.

Parameters

  pos | Iterator with the position of the property to be changed
  new_value | Value to be set

Returns
  true if changed, false if not

## ◆ size()

uint32_t size | ( |  | ) | const

inline

Getter for the size of the ParameterPropertyList.

Returns
  uint32_t with the size

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/ParameterTypes.hpp